## org.hibernate.engine.transaction.synchronization.spi
Interface AfterCompletionAction

    public interface AfterCompletionAction

A pluggable strategy for defining any actions to be performed during `Synchronization.afterCompletion(int)` processing from the the `Synchronization` registered by Hibernate with the underlying JTA platform.

Method Summary
`void` `doAction(TransactionCoordinator transactionCoordinator, int status)`

Method Detail

### doAction

    void doAction(TransactionCoordinator transactionCoordinator,
                  int status)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.